Archives

“Heartbleed” Bug Causes Mass Internet Security Concerns

Date April 10, 2014 Author Comments Leave your thoughts Gregg Meade

A critical vulnerability in OpenSSL (OpenSSL Private Key Disclosure Vulnerability) was recently disclosed, affecting servers running OpenSSL 1.0.1 through 1.0.1f.  This vulnerability allows arbitrary memory readout, which effectively exposes primary key material, allowing hackers to read confidential encrypted data, and compromises the integrity of the secure channel. Over the past... View Article